<?xml version="1.0" encoding="utf-8" ?>
<configuration>
  <system.serviceModel>
    <bindings />
    <client />
    <services>
      <!-- This section is optional with the new configuration model
           introduced in .NET Framework 4. -->
      <service name="S1274.RemoteControl"
               behaviorConfiguration="S1274Behavior">
        <host>
          <baseAddresses>
            <add baseAddress="http://localhost:8000/CeramillMotion/S1274"/>
          </baseAddresses>
          <timeouts closeTimeout="00:00:01" />
        </host>
        <!-- this endpoint is exposed at the base address provided by host: http://localhost:8000/CeramillMotion/S1274  -->
        <endpoint address=""
                  binding="wsHttpBinding"
                  contract="S1274.IS1274" />
        <!-- the mex endpoint is exposed at http://localhost:8000/CeramillMotion/S1274/mex -->
        <endpoint address="mex"
                  binding="mexHttpBinding"
                  contract="IMetadataExchange" />
      </service>
    </services>
    <behaviors>
      <serviceBehaviors>
        <behavior name="S1274Behavior">
          <serviceMetadata httpGetEnabled="true"/>
          <serviceDebug includeExceptionDetailInFaults="False"/>
        </behavior>
      </serviceBehaviors>
    </behaviors>
  </system.serviceModel>
</configuration>
